// groups.component.ts
import { Component, OnInit } from '@angular/core';
import { DataService } from './data.service';
import { UnidadOrganizativa, Aula, Cliente } from './model';

@Component({
  selector: 'app-groups',
  templateUrl: './groups.component.html',
  styleUrls: ['./groups.component.css']
})
export class GroupsComponent implements OnInit {
  unidadesOrganizativas: UnidadOrganizativa[] = [];
  selectedUnidad: UnidadOrganizativa | null = null;
  selectedAula: Aula | null = null;
  selectedClientes: Cliente[] = [];

  constructor(private dataService: DataService) {}

  ngOnInit(): void {
    this.unidadesOrganizativas = this.dataService.getUnidadesOrganizativas();
  }

  onSelectUnidad(unidad: UnidadOrganizativa): void {
    this.selectedUnidad = unidad;
    this.selectedAula = null;
    this.selectedClientes = [];
  }

  onSelectAula(aula: Aula): void {
    this.selectedAula = aula;
    this.selectedClientes = aula.clientes;
  }
}
